SF.net SVN: morphix: [2381] trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh

[email protected] Fri, 04 Aug 2006 15:07:20 -0700
Newsgroups gmane.linux.morphix.cvs
Message-ID <[email protected]>
Revision: 2381
Author:   bmsleight
Date:     2006-08-04 15:07:09 -0700 (Fri, 04 Aug 2006)
ViewCVS:  http://svn.sourceforge.net/morphix/?rev=2381&view=rev

Log Message:
-----------
Still moving along

Modified Paths:
--------------
    trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-02 20:54:49 UTC (rev 2380)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-04 22:07:09 UTC (rev 2381)
@@ -137,13 +137,14 @@
 MESSAGE_MAIN_MENU="Select one of the example Morphs to do "
 MESSAGE_MAIN_MENU_1="Configure Morphing-Morphix"
 MESSAGE_MAIN_MENU_2="Introduction to isomorph"
-MESSAGE_MAIN_MENU_3="Using an XML template to build a MiniModule"
-MESSAGE_MAIN_MENU_4="Morphing the Home Directory "
-MESSAGE_MAIN_MENU_5="Using an XML template to build a mainmodule"
-MESSAGE_MAIN_MENU_6="Step inside the MainModule - changing by hand"
-MESSAGE_MAIN_MENU_7="Rebranding an ISO"
-MESSAGE_MAIN_MENU_8="Building a whiole ISO from Scratch"
-MESSAGE_MAIN_MENU_9="Testing an iso using qemu"
+MESSAGE_MAIN_MENU_3="Using isomorph to get a clean base"
+MESSAGE_MAIN_MENU_4="Using an XML template to build a MiniModule"
+MESSAGE_MAIN_MENU_5="Morphing the Home Directory "
+MESSAGE_MAIN_MENU_6="Using an XML template to build a mainmodule"
+MESSAGE_MAIN_MENU_7="Step inside the MainModule - changing by hand"
+MESSAGE_MAIN_MENU_8="Rebranding an ISO"
+MESSAGE_MAIN_MENU_9="Building a whiole ISO from Scratch"
+MESSAGE_MAIN_MENU_10="Testing an iso using qemu"
 MESSAGE_SETTING_USE="Setting up Morphing Morphix
 
 Previous setting detected.
@@ -154,10 +155,12 @@
 We need to select somewhere to store the new cd images. 
 Select from the following a mount points to use           "
 MESSAGE_SETTING_NOT="Morphing Morphix notconfigured"
+###########################################################
 MESSAGE_SETTING_MAKEISO="Setting up Morphing Morphix
 
 We need to make a iso image for us to morph
 We will use this CD and call the image MyMorph.iso"
+###########################################################
 MESSAGE_ISOMORPH="Introduction to isomorph
 
 LiveCD are stored as .iso files. Which can then be written 
@@ -171,7 +174,9 @@
 
 For example we will now run the command :-
 isomorph --list MyMorph.iso"
+###########################################################
 MESSAGE_MINIMORPH_1="MiniMorph Example
+
 The next Morph is make the MiniModule to auto run an 
 application once the window manager has loaded.
 
@@ -182,6 +187,7 @@
 
 MorphixMini-Launch-MM-GUI.xml"
 MESSAGE_MINIMORPH_3="MiniMorph Example
+
 We will now build the MiniModule then add the MiniModule to
 the the LiveCD.
 
@@ -192,8 +198,73 @@
           ./MyMorph.iso ./tmp.iso
    
 mv ./tmp.iso ./MyMorph.iso"
+MESSAGE_MINIMORPH_4="MiniMorph Example
+
+We can now choose option 2  (isomorph --list) and confirm 
+that the new MiniModule has been added to the LiveCD"
 ###########################################################
+MESSAGE_REMOVE_MODS="Remove Modules
 
+We have now got our CD Image file, by copying this running 
+CD. As you have seen in the last example, this image 
+contains the MainModule and lots of MiniModules.  The easy 
+way to make a new LiveCD is to build new MiniModules and a 
+new MainModule.
+
+Hence the first task is to delete the MainModule and 
+MiniModules from the LiveCD image."
+MESSAGE_REMOVE_MODS_1="Remove Modules
+
+We will again use isomorph
+
+isomorph --del-all main ./MyMorph.iso ./tmp.iso
+mv ./tmp.iso ./MyMorph.iso
+isomorph --del-all mini ./MyMorph.iso ./tmp.iso
+mv ./tmp.iso ./MyMorph.iso"
+MESSAGE_REMOVE_MODS_2="Remove Modules
+We can now choose option 2  (isomorph --list) and confirm 
+that the MainModule and MiniModules have been removed from 
+the LiveCD"
+###########################################################
+MESSAGE_MAKE_MINI="Saving files in /home/morph
+
+The next Morph is to save the files in the users home 
+directory.
+
+The following will be saved
+ - Any files and directories in /home/morph
+ - Hidden sitting files. 
+   - The are the files beginning with a . e.g. .icewm
+
+The following will not be saved
+ - The X server setting - these are generated on boot up."
+MESSAGE_MAKE_MINI_1="Saving files in /home/morph
+
+Basically all the files and directories in /home/morph will
+be zipped into placed in to a self-extracting MiniModule.
+
+So feel free to save some files, settings, etc within the 
+home directory before continuing.This is really useful for 
+setting default homepages, menus etc.
+
+The power of a MiniModule is there are very simple to 
+build, but really useful to change the whole impression of 
+the cd."
+MESSAGE_MAKE_MINI_2="Saving files in /home/morph
+
+We make the mini-module using one of the morphix-tools
+make-mini, along with isomorph to ad the MiniModule to the
+image file. Commands :-
+
+make-mini --homedir --hidden MorphixMini-MM-Saved-Home.mod
+
+isomorph --add mini MorphixMini-MM-Saved-Home.mod 
+          ./MyMorph.iso ./tmp.iso
+   
+mv ./tmp.iso ./MyMorph.iso
+"	
+###########################################################
+
 }
 
 
@@ -396,7 +467,7 @@
 	     '$MESSAGE_MAIN_MENU_3' '$MESSAGE_MAIN_MENU_4'\
      	     '$MESSAGE_MAIN_MENU_5' '$MESSAGE_MAIN_MENU_6'\
 	     '$MESSAGE_MAIN_MENU_7' '$MESSAGE_MAIN_MENU_8'\
-	     '$MESSAGE_MAIN_MENU_9'
+	     '$MESSAGE_MAIN_MENU_9' '$MESSAGE_MAIN_MENU_10'
 	case $? in
 	  1)
 	    log_file "main_menu selected $?"
@@ -406,23 +477,26 @@
 	    isomorph_intro;;
 	  3)
 	    log_file "main_menu selected $?"
-	    build_minimodule;;
+	    remove_main_and_minis;;
 	  4)
 	    log_file "main_menu selected $?"
-	    make_mini;;
+	    build_minimodule;;
 	  5)
 	    log_file "main_menu selected $?"
-	    build_mainmodule;;
+	    make_mini;;
 	  6)
 	    log_file "main_menu selected $?"
-	    inside_mainmodule;;
+	    build_mainmodule;;
 	  7)
 	    log_file "main_menu selected $?"
-	    rebrand_iso;;
+	    inside_mainmodule;;
 	  8)
 	    log_file "main_menu selected $?"
+	    rebrand_iso;;
+	  9)
+	    log_file "main_menu selected $?"
 	    autobuild_whole_iso;;
-  	  9)
+  	  10)
 	    log_file "main_menu selected $?"
 	    test_qemu;;
 	  255)
@@ -518,7 +592,6 @@
 }
 
 
-
 ###########################################################
 #                                                         #
 #  SECTION 11 :  ISOMORPH INTRODUCTION                    #
@@ -545,6 +618,36 @@
 
 ###########################################################
 #                                                         #
+#  SECTION 11b :  REMOVE MAIN MODULE AND MINI MODULES     #
+#                                                         #
+#  o isomorph examples                                    #
+#    o --del-all main                                     #
+#    o --del-all mini                                     #
+#                                                         #
+###########################################################
+remove_main_and_minis ()
+{
+is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ 	log_file "remove_main_and_minis"
+	# MESSAGE_REMOVE_MODS
+	xdialog_message "$MESSAGE_REMOVE_MODS"
+	xdialog_message "$MESSAGE_REMOVE_MODS_1"
+	log_and_do_command_progress "sudo isomorph --del-all main  
+		$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
+	log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH"
+	log_and_do_command_progress "sudo isomorph --del-all mini  
+		$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
+	log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH"
+	xdialog_message "$MESSAGE_REMOVE_MODS_2"
+
+  fi
+ main_menu
+}
+
+###########################################################
+#                                                         #
 #  SECTION 12 :  BUILD MINIMODULE                         #
 #                                                         #
 #  o morphmini                                            #
@@ -567,6 +670,7 @@
 		/tmp/MorphixMini-Launch-MM-GUI.mod  
 		$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
 	log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH"
+	xdialog_message "$MESSAGE_MINIMORPH_3"
  fi
  main_menu
 }
@@ -584,6 +688,16 @@
  if [ "$?" = "1" ]
  then
 	log_file "make_mini"
+	#MESSAGE_MAKE_MINI
+	xdialog_message "$MESSAGE_MAKE_MINI"
+	xdialog_message "$MESSAGE_MAKE_MINI_1"
+	xdialog_message "$MESSAGE_MAKE_MINI_2"
+	log_and_do_command_progress "sudo make-mini --homedir --hidden  
+		/tmp/MorphixMini-MM-Saved-Home.mod "
+	log_and_do_command_progress "sudo isomorph --add mini  
+		/tmp/MorphixMini-MM-Saved-Home.mod  
+		$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
+	log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH"
  fi
  main_menu
  


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV